be.vlaanderen.mercurius.mohm.schemas.v1

## Class SupportAndRepairType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.SupportAndRepairType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:35:23+02:00",
                 comments="JAXB RI v2.3.7")
      public class SupportAndRepairType
      extends Object
      implements Serializable

  Generiek type voor het budget voor onderhoud en herstel.

  Java class for SupportAndRepairType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SupportAndRepairType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="SupportAndRepairID" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}SupportAndRepairIDType"/>
               <element name="SupportAndRepairCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType"/>
               <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}SupportAndRepairStatusType"/>
               <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SupportAndRepairType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `getAmount()` Gets the value of the amount property.
    `SupportAndRepairStatusType` | `getStatus()` Gets the value of the status property.
    `String` | `getSupportAndRepairCode()` Gets the value of the supportAndRepairCode property.
    `String` | `getSupportAndRepairID()` Gets the value of the supportAndRepairID property.
    `void` | `setAmount(BigDecimal value)` Sets the value of the amount property.
    `void` | `setStatus(SupportAndRepairStatusType value)` Sets the value of the status property.
    `void` | `setSupportAndRepairCode(String value)` Sets the value of the supportAndRepairCode property.
    `void` | `setSupportAndRepairID(String value)` Sets the value of the supportAndRepairID property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SupportAndRepairType

          public SupportAndRepairType()

  - ### Method Detail

    - #### getSupportAndRepairID

          public String getSupportAndRepairID()

      Gets the value of the supportAndRepairID property.
      Returns:
        possible object is `String`

    - #### setSupportAndRepairID

          public void setSupportAndRepairID(String value)

      Sets the value of the supportAndRepairID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSupportAndRepairCode

          public String getSupportAndRepairCode()

      Gets the value of the supportAndRepairCode property.
      Returns:
        possible object is `String`

    - #### setSupportAndRepairCode

          public void setSupportAndRepairCode(String value)

      Sets the value of the supportAndRepairCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatus

          public SupportAndRepairStatusType getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `SupportAndRepairStatusType`

    - #### setStatus

          public void setStatus(SupportAndRepairStatusType value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `SupportAndRepairStatusType`

    - #### getAmount

          public BigDecimal getAmount()

      Gets the value of the amount property.
      Returns:
        possible object is `BigDecimal`

    - #### setAmount

          public void setAmount(BigDecimal value)

      Sets the value of the amount property.
      Parameters:
        `value` - allowed object is `BigDecimal`

Connector Packaging TRUSSMAKER 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.